net.sf.jasperreports.charts

## Interface JRPie3DPlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable
  All Known Implementing Classes:
    JRBasePie3DPlot, JRDesignPie3DPlot, JRFillPie3DPlot

      public interface JRPie3DPlot
      extends JRChartPlot

  Type of plot used for rendering Pie 3D charts.
  Special settings that the Pie 3D plot exposes are:
  - the `circular` flag
  - the depth factor
  - the label format
  - the legend label format
  - the item label
  - the `showLabels` flag
  Version:
    $Id: JRPie3DPlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEPTH_FACTOR_DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCircular()`
    `java.lang.Double` | `getDepthFactorDouble()`
    `JRItemLabel` | `getItemLabel()`
    `java.lang.String` | `getLabelFormat()`
    `java.lang.String` | `getLegendLabelFormat()`
    `java.lang.Boolean` | `getShowLabels()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### DEPTH_FACTOR_DEFAULT

          static final double DEPTH_FACTOR_DEFAULT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDepthFactorDouble

          java.lang.Double getDepthFactorDouble()

      Returns:
        a numeric value ranging from 0 to 1 that represents the depth of the pie as a percentage of the height of the plot area.

    - #### getCircular

          java.lang.Boolean getCircular()

      Returns:
        a flag that specifies a circular form for the 3D pie

    - #### getLabelFormat

          java.lang.String getLabelFormat()

      Returns:
        the format pattern for labels

    - #### getLegendLabelFormat

          java.lang.String getLegendLabelFormat()

      Returns:
        the format pattern for legend labels

    - #### getItemLabel

          JRItemLabel getItemLabel()

      Returns:
        a `JRItemLabel` object representing the item label

    - #### getShowLabels

          java.lang.Boolean getShowLabels()

      Returns:
        a flag that specifies whether labels are to be shown or not

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com